import {Component, Input, OnInit} from '@angular/core';
import {environment} from '../../../environments/environment';


@Component({
  selector: 'app-preview-image',
  templateUrl: './preview-image.component.html',
  styleUrls: ['./preview-image.component.scss']
})
export class PreviewImageComponent implements OnInit {

    imageUrl = environment.imageUrl;

    @Input() previewImage: string;
    previewVisible = false;
  constructor() { }

  ngOnInit(): void {
  }

}
