import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'discountCodeStatus'
})
export class DiscountCodeStatusPipe implements PipeTransform {

  transform(value: number): string {
    switch (value) {
      case 1:
        return '待领取';
      case 2:
        return '待使用';
      case 3:
        return '已使用';
      case 4:
        return '已过期';
      case 5:
        return '已分配';
    }
  }

}

@Pipe({
  name: 'discountCodeStatus2'
})
export class DiscountCodeStatusPipe2 implements PipeTransform {

  transform(value: number): string {
    switch (value) {
      case 0:
        return '已过期';
      case 1:
        return '未使用';
      case 2:
        return '已使用';
    }
  }

}

@Pipe({
  name: 'phoneTranslate'
})
export class PhoneTranslate implements PipeTransform {

  transform(value: string): string {
    if(value&&value.length==11){
      return value.substring(0, 3) + "****"+value.substring(7, 11);
    }else{
      return value
    }
   
  }

}