import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'scPrinter'
})
export class ScPrinterPipe implements PipeTransform {

  transform(value: number): unknown {
    switch (Number(value)) {
      case 4001:
        return '油品券';
      case 4002:
        return '汽油券';
      case 4003:
        return '柴油券';
      case 4004:
        return '非油券';
      case 4006:
        return '异业券';
      default:
        return '其他'
    }
  }

}


