import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'logisticsStatus'
})
export class LogisticsStatusPipe implements PipeTransform {
    transform(value: string): string {
        switch (value) {
            case '1':
                return '待发货';
            case '2':
                return '已发货';
            case '3':
                return '配送中';
            case '4':
                return '已送达';
            case '5':
                return '已取消';
            case '6':
                return '退货中';
            case '7':
                return '已退货';
            case '8':
                return '待付款';
        }
    }

}
